## nom.tam.fits
Class PrimaryHDU

    java.lang.Object
      nom.tam.fits.BasicHDU
          nom.tam.fits.PrimaryHDU

public class PrimaryHDU
extends BasicHDU

FITS primary array header/data unit

Field Summary

Fields inherited from class nom.tam.fits.BasicHDU
`BITPIX_BYTE, BITPIX_DOUBLE, BITPIX_FLOAT, BITPIX_INT, BITPIX_LONG, BITPIX_SHORT, myData, myHeader`

Constructor Summary
`PrimaryHDU()` Build an empty primary HDU.
`PrimaryHDU(Header header)` Create a primary array unit.
`PrimaryHDU(ImageHDU img)` Build a primary HDU from an image HDU.
`PrimaryHDU(Object obj)` Build a primary HDU using the supplied data.

Method Summary
`void` `info()` Print out some information about this HDU.
`boolean` `isHeader()` Check that this HDU has a valid header.
`static boolean` `isHeader(Header header)` Check that this is a valid primary/non-random groups header.
`Data` `manufactureData()` Create a Data object to correspond to the header description.

Methods inherited from class nom.tam.fits.BasicHDU
`checkField, getAuthor, getAxes, getBitPix, getBlankValue, getBScale, getBUnit, getBZero, getCreationDate, getData, getEpoch, getEquinox, getGroupCount, getHeader, getInstrument, getMaximumValue, getMinimumValue, getObject, getObservationDate, getObserver, getOrigin, getParameterCount, getReference, getSize, getTelescope, getTrimmedString, readData, skipData, skipData, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrimaryHDU

    public PrimaryHDU(Header header)
               throws FitsException

  Create a primary array unit.

Parameters:
  `header` - the template specifying the primary array.
Throws:
  `FitsException` - if there was a problem with the header.

### PrimaryHDU

    public PrimaryHDU(ImageHDU img)
               throws FitsException

  Build a primary HDU from an image HDU.

Parameters:
  `img` - the ImageHDU containing the data.
Throws:
  `FitsException` - if there was a problem with the data.

### PrimaryHDU

    public PrimaryHDU()
               throws FitsException

  Build an empty primary HDU.

Throws:
  `FitsException` - if there was a problem creating the HDU.

### PrimaryHDU

    public PrimaryHDU(Object obj)
               throws FitsException

  Build a primary HDU using the supplied data.

Parameters:
  `obj` - the data used to build the primary HDU.
Throws:
  `FitsException` - if there was a problem with the data.

Method Detail

### isHeader

    public static boolean isHeader(Header header)

  Check that this is a valid primary/non-random groups header.

  Parameters:
    `header` - to validate.
  Returns:
    `true` if this is a simple primary header.

### isHeader

    public boolean isHeader()

  Check that this HDU has a valid header.

  Returns:
    `true` if this HDU has a valid header.

### manufactureData

    public Data manufactureData()
                         throws FitsException

  Create a Data object to correspond to the header description.

  Specified by:
    `manufactureData` in class `BasicHDU`
  Returns:
    An unfilled Data object which can be used to read in the data for this HDU.
  Throws:
    `FitsException` - if the image data could not be created.

### info

    public void info()

  Print out some information about this HDU.

  Specified by:
    `info` in class `BasicHDU`